#
# spec file for package odvr
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           odvr
Version:        0.1.5
Release:        6.1
Summary:        User-space driver for Olympus DVRs not supporting USB Mass Storage specs	
License:        GPL-3.0
Group:          Hardware/Other
Source0:        %{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-udev_rule.patch
Url:            http://code.google.com/p/odvr/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libsndfile-devel
BuildRequires:  libusb-devel
# for GUI
BuildRequires:  pkgconfig(gtk+-2.0)
Requires: udev

%description
Odvr is a user-space driver for USB-enabled Olympus DVRs that do not support the USB Mass Storage specification. 
Odvr is tested against the VN-960PC, but should support other "VN" Olympus models. 

See Supported Devices 

http://code.google.com/p/odvr/wiki/SupportedDevices

for a list of known-working devices.

%prep
%setup -q
%patch0 -p0

%build
make CFLAGS="$RPM_OPT_FLAGS `pkg-config gtk+-2.0 --cflags`" 

%install
mkdir -p  $RPM_BUILD_ROOT%{_bindir}
mkdir -p  $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/
install -m 755 odvr $RPM_BUILD_ROOT%{_bindir}/
install -m 755 odvr-gui $RPM_BUILD_ROOT%{_bindir}/
install -m 644 41-odvr.rules $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/

%post 
if test -x /sbin/udevadm
then
%if 0%{?suse_version} < 1310
	if /sbin/udevadm control --reload-rules
%else
	if /sbin/udevadm control --reload
%endif
	then
		:
	fi
fi

%files
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/*
%config %{_sysconfdir}/udev

%changelog
* Sun May  6 2012 seife+obs@b1-systems.com
- ignore errors during postinstall to fix build
- split of separate changes file
* Sun Jan 10 2010 AxelKoellhofer@web.de
- updated to version 0.1.5
- enabled building with RPM_OPT_FLAGS
- spec cleanup
* Tue Jul  7 2009 AxelKoellhofer@web.de
- updated to version 0.1.5_20081123 from svn
* Tue Mar 17 2009 AxelKoellhofer@web.de
- updated to version 0.1.4.1_20080424 (with experimental GUI)
- source from: http://code.google.com/p/odvr/issues/detail?id=1
- gtk2-devel added to BuildRequires
* Mon Mar 16 2009 AxelKoellhofer@web.de
- Initial package version 0.1.4.1
